* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
  color: inherit;
  font-weight: 700;
  font-size: 16px;
}

.wrapper {
  width: 1288px;
  margin: 0 auto;
  margin-bottom: 180px;
}
header {
  width: 1288px;
  height: 117px;
  position: relative;
  margin: 0 auto 71px;
}
header::before {
  content: "";
  position: absolute;
  width: 1920px;
  height: 100%;
  left: -316px;
  background-color: #f8f4fc;
  z-index: -1;
}
.container {
  display: flex;
  margin-bottom: 18px;
}
.container figure {
  margin-top: 11px;
  margin-right: 90px;
}
.container:first-of-type nav:first-of-type ul {
  display: flex;
  width: 432px;
  height: 19px;
  font-size: 16px;
  font-weight: 700;
  line-height: 19px;
  justify-content: space-between;
  margin-top: 31px;
  margin-right: 365px;
}
.container:first-of-type nav:last-of-type ul {
  display: flex;
  width: 130px;
  height: 22px;
  justify-content: space-between;
  margin-top: 31px;
}
header > nav > ul {
  height: 16px;
  display: flex;
  font-size: 14px;
  line-height: 16px;
  color: #626262;
}
header > nav ul :first-child {
  width: 14px;
  height: 14px;
}
header > nav ul :nth-child(2),
header > nav ul :nth-child(3) {
  padding-left: 24px;
  position: relative;
  margin-left: 10px;
}
header > nav ul :nth-child(2)::before,
header > nav ul :nth-child(3)::before {
  content: "";
  width: 14px;
  height: 8px;
  background-image: url(./img/Arrow\ 1.png);
  position: absolute;
  left: 0;
  top: 4px;
  z-index: 1;
}
h1 {
  width: 637px;
  height: 35px;
  font-size: 30px;
  line-height: 35px;
  font-weight: 700;
  margin-bottom: 17px;
}
hr {
  border: none;
  height: 1px;
  color: #e2e2e2;
  background-color: #e2e2e2;
  margin-bottom: 40px;
}
h2 {
  font-size: 20px;
  line-height: 23px;
  font-weight: 700;
}
input[type="radio"] {
  width: 17px;
  height: 17px;
  vertical-align: middle;
}

aside {
  position: relative;
  float: left;
  width: 384px;
  margin-right: 30px;
  margin-bottom: 150px;
}
.entrance {
  height: 113px;
  margin-bottom: 30px;
  background-color: #f0f2f5;
}
.entrance h2 {
  padding-top: 20px;
  padding-left: 20px;
  padding-bottom: 20px;
}
.entrance label {
  font-size: 16px;
  color: #354657;
  line-height: 19px;
}
.entrance ul,
.basket ul {
  padding-left: 20px;
}
.entrance ul li,
.basket ul li {
  direction: rtl;
  display: inline-block;
  margin-right: 20px;
  vertical-align: middle;
}
.user-data {
  height: 818px;
  background-color: #f0f2f5;
}
.user-data h2 {
  padding-top: 20px;
  margin-bottom: 30px;
  margin-left: 20px;
}
.user-data h2:last-of-type {
  padding-top: 30px;
}

.user-data ul li {
  display: flex;
  flex-direction: column;
  padding-left: 20px;
}
.user-data label {
  width: 344px;
  font-size: 14px;
  line-height: 17px;
  color: #354657;
  margin-bottom: 10px;
}
.user-data li:last-of-type input:last-of-type {
  margin-bottom: 0;
}
input[type="text"],
input[type="email"],
input[type="tel"] {
  width: 344px;
  height: 38px;
  margin-bottom: 20px;
  border: 1px solid #b6b6b6;
  box-sizing: border-box;
  border-radius: 3px;
}
aside input::placeholder {
  height: 16px;
  font-size: 14px;
  line-height: 16px;
  color: #ada8a8;
  padding-left: 20px;
}
.basket {
  display: flow-root;
}

.basket h2 {
  padding-top: 20px;
  padding-left: 20px;
  padding-bottom: 20px;
}
.delivery-type {
  width: 874px;
  height: 113px;
  background-color: #f0f2f5;
  margin-bottom: 30px;
}
.payment-type {
  width: 874px;
  height: 113px;
  background-color: #f0f2f5;
  margin-bottom: 30px;
}
.table {
  width: 874px;
  height: 297px;
  margin-bottom: 30px;
}
table {
  width: 100%;
  border-collapse: collapse;
}
.table h2 {
  padding: 0;
  margin-left: 0;
  margin-bottom: 15px;
}
.table-content {
  margin-bottom: 19px;
}
.table-content thead {
  height: 41px;
  font-size: 14px;
  line-height: 16px;
  text-align: left;
  background-color: #f0f2f5;
  text-transform: uppercase;
}
.table-content tbody {
  height: 58px;
  color: #354657;
  font-size: 14px;
}

.table-content th,
.table-content td {
  width: 20%;
  padding-left: 20px;
}
.table-content button {
  width: 33px;
  height: 33px;
  border: none;
  vertical-align: middle;
}
td input[inputmode="numeric"] {
  width: 46px;
  height: 33px;
  text-align: center;
  border: 2px solid #e9e9e9;
  box-sizing: border-box;
  border-radius: 3px;
}
.table-results {
  width: 360px;
  margin-left: 518px;
  font-size: 14px;
  line-height: 16px;
  text-transform: uppercase;
  /* margin-bottom: 30px; */
}
.table-results tr {
  height: 47px;
}
.table-results tr > :first-child {
  display: block;
  font-weight: 700;
  line-height: 47px;
  text-align: right;
  width: 173px;
  margin-right: 30px;
}
.table-results tr > :last-child {
  width: 100%;
  text-align: left;
}
.table-results tbody tr:nth-child(2) {
  background-color: #fafafa;
}
.delivery-info {
  height: 318px;
  background-color: #f0f2f5;
  display: flex;
  flex-direction: column;
}
.delivery-info h2 {
  padding-bottom: 15px;
}
.delivery-info label {
  width: fit-content;
  height: 16px;
  font-size: 14px;
  line-height: 16px;
  color: #354657;
  margin-left: 20px;
  margin-bottom: 10px;
}
.delivery-info textarea {
  width: 834px;
  height: 86px;
  margin-left: 20px;
  margin-bottom: 16px;
  border: 1px solid #b6b6b6;
}
textarea::placeholder {
  font-size: 14px;
  line-height: 16px;
  color: #ada8a8;
  padding-left: 11px;
  padding-top: 9px;
}
.delivery-info p {
  text-align: left;
  direction: rtl;
  margin-left: 20px;
  margin-bottom: 29px;
}
.delivery-info p label {
  margin-left: 8px;
}
input[type="submit"] {
  width: 206px;
  height: 54px;
  border: none;
  background: #946fd3;
  border-radius: 50px;
  color: #fff;
  font-size: 16px;
  line-height: 19px;
  margin-right: 20px;
  margin-left: auto;
}
footer {
  display: flex;
  width: 1288px;
  height: 97px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
footer::before {
  content: "";
  position: absolute;
  width: 1920px;
  height: 100%;
  left: -316px;
  background-color: #fff;
  border-top: 1px solid #e2e2e2;
  z-index: -1;
}
footer > figure:first-of-type {
  margin-top: 20px;
  margin-right: 90px;
}
footer nav:first-of-type ul {
  display: flex;
  width: 233px;
  height: 19px;
  font-size: 16px;
  font-weight: 700;
  line-height: 19px;
  justify-content: space-between;
  margin-top: 38px;
  margin-right: 320px;
}
footer nav:last-of-type ul {
  display: flex;
  width: 208px;
  height: 28px;
  justify-content: space-between;
  margin-top: 34px;
  margin-right: 40px;
}
footer figure:last-of-type {
  width: 130px;
  height: 44px;
  margin-top: 26px;
}
